export declare enum TokenType {
    LEFT_PAREN = 0,
    RIGHT_PAREN = 1,
    LEFT_BRACE = 2,
    RIGHT_BRACE = 3,
    COMMA = 4,
    DOT = 5,
    MINUS = 6,
    PLUS = 7,
    SEMICOLON = 8,
    SLASH = 9,
    STAR = 10,
    GREATER = 11,
    GREATER_EQUAL = 12,
    LESS = 13,
    LESS_EQUAL = 14,
    BANG = 15,
    BANG_EQUAL = 16,
    BANG_EQUAL_EQUAL = 17,
    EQUAL = 18,
    EQUAL_EQUAL = 19,
    EQUAL_EQUAL_EQUAL = 20,
    IDENTIFIER = 21,
    STRING = 22,
    NUMBER = 23,
    AND = 24,
    CLASS = 25,
    ELSE = 26,
    FALSE = 27,
    FUN = 28,
    FOR = 29,
    IF = 30,
    NIL = 31,
    OR = 32,
    PRINT = 33,
    RETURN = 34,
    SUPER = 35,
    THIS = 36,
    TRUE = 37,
    VAR = 38,
    WHILE = 39,
    NULL = 40,
    UNDEFINED = 41,
    EOF = 42
}
export default class Token {
    type: TokenType;
    lexeme: string;
    literal: Object;
    line: number;
    constructor(type: TokenType, lexeme: string, literal: any, line: number);
    toString(): string;
}
